Skip to content
Start here

Get a rate limit

client.RateLimits.Get(ctx, rateLimitID, query) error
GET/zones/{zone_id}/rate_limits/{rate_limit_id}

Deprecated: This endpoint returns 410 Gone. Please use the Rulesets API instead.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Firewall Services WriteFirewall Services Read
ParametersExpand Collapse
rateLimitID string

Defines the unique identifier of the rate limit.

maxLength32
query RateLimitGetParams
ZoneID param.Field[string]

Defines an identifier.

maxLength32

Get a rate limit

package main

import (
  "context"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/rate_limits"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  err := client.RateLimits.Get(
    context.TODO(),
    "372e67954025e0ba6aaa6d586b9e0b59",
    rate_limits.RateLimitGetParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
}
Returns Examples